## EogURIConverter

EogURIConverter

## Functions

GQuark | eog_uc_error_quark ()
EogURIConverter * | eog_uri_converter_new ()
gboolean | eog_uri_converter_check ()
gboolean | eog_uri_converter_requires_exif ()
gboolean | eog_uri_converter_do ()
char * | eog_uri_converter_preview ()
void | eog_uri_converter_print_list ()

## Properties

gboolean | convert-spaces | Read / Write
guint | counter-n-digits | Read / Write
gulong | counter-start | Read / Write
guint | n-images | Write
gchar | space-character | Read / Write

## Types and Values

enum | EogUCType
| EogUCInfo
enum | EogUCError
#define | EOG_UC_ERROR
| EogURIConverter

## Object Hierarchy

        GObject
        ╰── EogURIConverter

## Description

## Functions

### eog_uc_error_quark ()

    GQuark
    eog_uc_error_quark (void);

### eog_uri_converter_new ()

    EogURIConverter *
    eog_uri_converter_new (GFile *base_file,
                           GdkPixbufFormat *img_format,
                           const char *format_string);

### eog_uri_converter_check ()

    gboolean
    eog_uri_converter_check (EogURIConverter *converter,
                             GList *img_list,
                             GError **error);

#### Parameters

converter | a EogURIConverter |
img_list | a Gfile list. | [element-type GFile]
error | a GError location to store the error occurring, or NULL to ignore |

### eog_uri_converter_requires_exif ()

    gboolean
    eog_uri_converter_requires_exif (EogURIConverter *converter);

### eog_uri_converter_do ()

    gboolean
    eog_uri_converter_do (EogURIConverter *converter,
                          EogImage *image,
                          GFile **file,
                          GdkPixbufFormat **format,
                          GError **error);

### eog_uri_converter_preview ()

    char *
    eog_uri_converter_preview (const char *format_str,
                               EogImage *img,
                               GdkPixbufFormat *format,
                               gulong counter,
                               guint n_images,
                               gboolean convert_spaces,
                               gunichar space_char);

### eog_uri_converter_print_list ()

    void
    eog_uri_converter_print_list (EogURIConverter *conv);

## Types and Values

### enum EogUCType

#### Members

EOG_UC_STRING |  |
EOG_UC_FILENAME |  |
EOG_UC_COUNTER |  |
EOG_UC_COMMENT |  |
EOG_UC_DATE |  |
EOG_UC_TIME |  |
EOG_UC_DAY |  |
EOG_UC_MONTH |  |
EOG_UC_YEAR |  |
EOG_UC_HOUR |  |
EOG_UC_MINUTE |  |
EOG_UC_SECOND |  |
EOG_UC_END |  |

### EogUCInfo

    typedef struct {
    	char     *description;
    	char     *rep;
    	gboolean req_exif;
    } EogUCInfo;

### enum EogUCError

#### Members

EOG_UC_ERROR_INVALID_UNICODE |  |
EOG_UC_ERROR_INVALID_CHARACTER |  |
EOG_UC_ERROR_EQUAL_FILENAMES |  |
EOG_UC_ERROR_UNKNOWN |  |

### EOG_UC_ERROR

    #define EOG_UC_ERROR eog_uc_error_quark ()

### EogURIConverter

    typedef struct _EogURIConverter EogURIConverter;

## Property Details

### The `“convert-spaces”` property

      “convert-spaces”           gboolean

Owner: EogURIConverter

Flags: Read / Write

Default value: FALSE

### The `“counter-n-digits”` property

      “counter-n-digits”         guint

Owner: EogURIConverter

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“counter-start”` property

      “counter-start”            gulong

Owner: EogURIConverter

Flags: Read / Write

### The `“n-images”` property

      “n-images”                 guint

Owner: EogURIConverter

Flags: Write

Allowed values: >= 1

Default value: 1

### The `“space-character”` property

      “space-character”          gchar

Owner: EogURIConverter

Flags: Read / Write

Allowed values: [32,126]

Default value: 95